### Method

# WebKit Settings get_enable_private_browsing

deprecated: 2.16.

#### Declaration [src]

    gboolean
    webkit_settings_get_enable_private_browsing (
      WebKitSettings* settings
    )

#### Description [src]

Get the `WebKitSettings:enable-private-browsing` property.

Deprecated since: 2.16.

Use `WebKitWebView:is-ephemeral` or `WebKitWebContext:is-ephemeral` instead.

Gets property | `WebKit.Settings:enable-private-browsing`

#### Return value

Type: `gboolean`

`TRUE` If private browsing is enabled or `FALSE` otherwise.